> For clean Markdown of any page, append `.md` to the page URL.
> For a complete documentation index, see https://docs.sarvam.ai/llms.txt.
> For full documentation content in one file, see https://docs.sarvam.ai/llms-full.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.sarvam.ai/_mcp/server.

# List webhook deliveries

GET https://apps.sarvam.ai/api/scheduling/v1/orgs/{org_id}/workspaces/{workspace_id}/deployments/{deployment_id}/webhooks

Reference: https://docs.sarvam.ai/conversations/api/deployments/webhooks/list

## Request

### Path parameters

- `org_id` (string, required)
- `workspace_id` (string, required)
- `deployment_id` (string, required) — Deployment whose webhook deliveries to list

### Query parameters

- `limit` (integer, optional, default: 50) — Number of records per page (max 250)
- `after` (string, optional, nullable) — Cursor for the next page (from previous response cursors.after)
- `before` (string, optional, nullable) — Cursor for the previous page (from previous response cursors.before)
- `start_datetime` (datetime, optional, nullable) — Filter by delivery start time, lower bound (inclusive, ISO 8601)
- `end_datetime` (datetime, optional, nullable) — Filter by delivery start time, upper bound (inclusive, ISO 8601)
- `status` (enum, optional, nullable) — Filter by delivery status
  - Allowed values: `running`, `completed`, `failed`

## Response

### 200

Successful Response

- `items` (list of object, required) — Webhook delivery records on this page
  - `attempt_id` (string, required) — Unique identifier for the webhook delivery attempt
  - `status` (enum, required) — Current delivery status
    - Allowed values: `running`, `completed`, `failed`
  - `start_time` (datetime, optional, nullable) — When the delivery started (ISO 8601)
  - `close_time` (datetime, optional, nullable) — When the delivery completed (ISO 8601)
- `limit` (integer, required) — Maximum items per page
- `cursors` (object, required) — Pagination cursors
  - `after` (string, optional, nullable) — Cursor for the next page. Pass as the after query parameter. null if this is the last page.
  - `before` (string, optional, nullable) — Cursor for the previous page. Pass as the before query parameter. null if this is the first page.

## Examples

**Response**

```json
{
  "items": [
    {
      "attempt_id": "019d392a-4f5a-7db3-904a-6ecebb9aac96",
      "status": "completed",
      "start_time": "2026-03-29T10:30:45Z",
      "close_time": "2026-03-29T10:30:48Z"
    },
    {
      "attempt_id": "019d392a-11c6-72bd-8eb7-c37e84bbd1f3",
      "status": "failed",
      "start_time": "2026-03-29T10:40:26Z",
      "close_time": "2026-03-29T10:40:41Z"
    }
  ],
  "limit": 50,
  "cursors": {
    "after": "eyJhbGciOiJIUzI1NiJ9.eyJwYWdlIjoyfQ",
    "before": null
  }
}
```

**SDK Code**

```python
import requests

url = "https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://apps.sarvam.ai/api/scheduling/v1/orgs/org_id/workspaces/workspace_id/deployments/deployment_id/webhooks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```